package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : mashuai
 * @version : 1.0
 * 退料任务状态枚举
 */
@Getter
public enum BackTaskStatusEnum {

    BACK_TASK_NO_FINISHED(0, "退料未完成"),
    BACK_TASK_TO_REJECT(1, "维修驳回"),
    BACK_TASK_IN_FINISHED(2, "退料已完成");

    private final Integer status;
    private final String statusName;

    BackTaskStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
